std::experimental::bad_optional_access(3)

NAME
std::experimental::bad_optional_access - Exception class thrown when a disengaged optional object is dereferenced.

SYNOPSIS

#include <optional>

Inherits std::logic_error.

  Public Member Functions
bad_optional_access (const char *__arg)
virtual const char * what () const noexcept

Detailed Description

Exception class thrown when a disengaged optional object is dereferenced.

Member Function Documentation

  virtual const char * std::logic_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.